toolzerhub API Docs

List video comments

Returns comments for required video_reference. Optional region, language, ordering, and page_cursor control results.

1 credit / requestBilled only on success
GET
/v2/youtube/comments

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

video_reference*string

YouTube video ID or a full watch, youtu.be, Shorts, or embed URL.

Length1 <= length
region_code?string

Two-letter country code used to localize the results.

language_code?string

Language code used to localize text and audio results.

sort_order?string

Result order. Available values: top, newest.

Value in

  • "top"
  • "newest"
page_cursor?string

Cursor returned by the previous response.

curl -X GET "https://example.com/v2/youtube/comments?video_reference=M7lc1UVf-VE" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "data": [      {        "property1": null,        "property2": null      }    ],    "page_cursor": "string",    "commentsCount": "string",    "property1": null,    "property2": null  }}